Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226430 - Merge Review: squashfs-tools
Summary: Merge Review: squashfs-tools
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:01 UTC by Nobody's working on this, feel free to take it
Modified: 2009-06-07 21:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-05 12:52:03 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:01:19 UTC
Fedora Merge Review: squashfs-tools

http://cvs.fedora.redhat.com/viewcvs/devel/squashfs-tools/
Initial Owner: katzj@redhat.com

Comment 1 Parag AN(पराग) 2007-08-31 10:47:52 UTC
NEED:-
  Use of macros.
  Change Buildroot to current one.
  update license tag
  Can use dist tag.
Also, rpmlint on binary rpm reported as
W: squashfs-tools summary-not-capitalized squashfs utilities
Summary doesn't begin with a capital letter.

W: squashfs-tools invalid-license GPL
The value of the License tag was not recognized.  Known values are:
"Affero GPL", "AFL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0",
"ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic 2.0", "Artistic clarified",
"BitTorrent", "Boost", "BSD", "BSD with advertising", "CeCILL", "CDDL", "CPL",
"Condor", "Copyright only", "Cryptix", "Crystal Stacker", "EPL", "eCos", "EFL
2.0", "EFL 2.0+", "EU Datagrid", "Giftware", "Glide", "GPL+", "GPL+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv3", "GPLv3+",
"IBM", "IJG", "iMatix", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer",
"LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff",
"LPL", "LPPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OSL
1.0", "OSL 1.0+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL 3.0+", "OpenSSL",
"Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL", "Ruby",
"Sleepycat", "SISSL", "SPL", "TCL", "UCD", "Vim", "VNLSL", "VSL", "W3C",
"WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0",
"ZPLv2.0+", "zlib", "CDL", "FBSDDL", "GFDL", "Open Publication", "CC-BY", "CC-
BY-SA", "DSL", "Free Art", "Arphic", "Bitstream Vera", "mplus", "OFL",
"Utopia", "Redistributable, no modification permitted", "Freely
redistributable without restriction".

I: squashfs-tools checking
W: squashfs-tools spurious-executable-perm
/usr/share/doc/squashfs-tools-3.2/ACKNOWLEDGEMENTS
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: squashfs-tools spurious-executable-perm /usr/share/doc/squashfs-tools-3.2/CHANGES
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: squashfs-tools spurious-executable-perm /usr/share/doc/squashfs-tools-3.2/README
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: squashfs-tools spurious-executable-perm /usr/share/doc/squashfs-tools-3.2/COPYING
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: squashfs-tools spurious-executable-perm
/usr/share/doc/squashfs-tools-3.2/PERFORMANCE.README
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

W: squashfs-tools summary-not-capitalized squashfs utilities
Summary doesn't begin with a capital letter.




Comment 2 Jeremy Katz 2007-08-31 18:44:15 UTC
(In reply to comment #1)
> NEED:-
>   Use of macros.

What macros in particular aren't being used that are needed by the guidelines?

>   Change Buildroot to current one.

Buildroot is one of the three acceptable ones

>   update license tag

Updated

>   Can use dist tag.

Given that squashfs-tools depends on kernel version and isn't synchronized
across branches, the dist tag doesn't buy anything really

> Also, rpmlint on binary rpm reported as
> W: squashfs-tools summary-not-capitalized squashfs utilities
> Summary doesn't begin with a capital letter.

Fixed

> W: squashfs-tools invalid-license GPL

Fixed

> W: squashfs-tools spurious-executable-perm

And fixed all of these

Comment 3 Parag AN(पराग) 2007-09-01 02:09:11 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > NEED:-
> >   Use of macros.
> 
> What macros in particular aren't being used that are needed by the guidelines?
  Ah. ok. I thought we also hvae %{_sbindir} macro which replaces /usr/sbin

> 
> >   Change Buildroot to current one.
> 
> Buildroot is one of the three acceptable ones
  ohh. I forgot its not mandatory now from packaging guidelines "At one point,
the second was a mandatory value, but it is now left to the packager to decide."

> 
> >   update license tag
> 
> Updated
  ok
> 
> >   Can use dist tag.
> 
> Given that squashfs-tools depends on kernel version and isn't synchronized
> across branches, the dist tag doesn't buy anything really
  ok.
> 
> > Also, rpmlint on binary rpm reported as
> > W: squashfs-tools summary-not-capitalized squashfs utilities
> > Summary doesn't begin with a capital letter.
> 
> Fixed
> 
> > W: squashfs-tools invalid-license GPL
> 
> Fixed
> 
> > W: squashfs-tools spurious-executable-perm
> 
> And fixed all of these
  Ok.

Comment 4 Parag AN(पराग) 2007-09-03 03:42:37 UTC
I can't see updated SPEC in cvs.

Comment 5 Jeremy Katz 2007-09-04 02:41:23 UTC
Apparently, cvs commit eludes me at times :)  Committed now; holding off on
bumping release and building until we make sure everything is set

Comment 6 Parag AN(पराग) 2007-09-05 03:52:00 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
bf360b92eba9e6d5610196ce2e02fcd1  squashfs3.2-r2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
- dist tag is Not present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package  squashfs-tools-3.2-1 ->
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4)
libc.so.6(GLIBC_2.7) libm.so.6 libm.so.6(GLIBC_2.0) libpthread.so.0
libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1) libpthread.so.0(GLIBC_2.2)
libpthread.so.0(GLIBC_2.3.2) libz.so.1 rtld(GNU_HASH)
+ Not a GUI app.
APPROVED.


Comment 7 Jeremy Katz 2007-09-05 12:52:03 UTC
Thanks, building now with the changes

Comment 8 Christoph Wickert 2009-06-07 21:09:02 UTC
Would you mind adding a disttag in the next build? TIA.


Note You need to log in before you can comment on or make changes to this bug.